services:
  pwa:
    image: registry.iaca-electronique.com/iaca-sal-demo-pwa
    ports:
      - 8888:8080

  kiosk:
    image: iacaelectronique/chromium
    privileged: true
    user: "0:0"
    environment:
      - XDG_RUNTIME_DIR=/run/user/1000
      - WAYLAND_DISPLAY=wayland-0
    volumes:
      - /tmp:/run/user/1000
      - /var/run/dbus/system_bus_socket:/var/run/dbus/system_bus_socket
    command: >
      --no-sandbox
      --ozone-platform=wayland
      --no-first-run
      --kiosk http://pwa:8080
